Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenTopLevelNode

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenChildContainer, GenCommonBase, GenContainerBase, GenLinkEnd, GenNode, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenTopLevelNodeImpl

    public interface GenTopLevelNode

extends GenNode

A representation of the model object 'Gen Top Level Node'.

The following features are supported:

- `Diagram`

See Also:
  `GMFGenPackage.getGenTopLevelNode()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='not modelFacet.containmentMetaFeature.oclIsUndefined() implies modelFacet.containmentMetaFeature.genClass.ecoreClass.isSuperTypeOf(diagram.domainDiagramElement.ecoreClass)' description='Top level node \'Containment Feature\' must be available in the diagram \'Domain Element\' or its super-class'"

Field Summary

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNode
`CLASS_NAME_PREFIX, CREATE_COMMAND_SUFFIX, GRAPHICAL_NODE_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`GenDiagram` `getDiagram()` Returns the value of the 'Diagram' container reference.

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNode

`getCompartments, getCreateCommandClassName, getCreateCommandQualifiedClassName, getDomainMetaClass, getGraphicalNodeEditPolicyClassName, getGraphicalNodeEditPolicyQualifiedClassName, getLabels, getModelFacet, getPrimaryDragEditPolicyQualifiedClassName, getReorientedIncomingLinks, setCreateCommandClassName, setGraphicalNodeEditPolicyClassName, setModelFacet, setPrimaryDragEditPolicyQualifiedClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`getChildNodes`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getAssistantNodes, getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getContainedNodes, needsCanonicalEditPolicy, setCanonicalEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNamePrefix, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, isSansDomain, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLinkEnd
`getGenIncomingLinks, getGenOutgoingLinks`

Method Detail

### getDiagram

    GenDiagram getDiagram()

  Returns the value of the 'Diagram' container reference. It is bidirectional and its opposite is '`Top Level Nodes`'.

  If the meaning of the 'Diagram' container reference isn't clear, there really should be more of a description here...

  Specified by:
    `getDiagram` in interface `GenCommonBase`
  Returns:
    the value of the 'Diagram' container reference.
  See Also:
    `GMFGenPackage.getGenTopLevelNode_Diagram()`, `GenDiagram.getTopLevelNodes()`
  ** Generated **
  Model:
    opposite="topLevelNodes" resolveProxies="false" required="true" transient="false" changeable="false"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.